Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.databinding
Interface DataWriter<T>

Type Parameters:
  `T` - The type of sink. Each data binding defines the set of sink types that it supports.

    public interface DataWriter<T>

The 'write' side of the data binding abstraction of CXF. A DataWriter<T> serializes objects to a 'sink' of type T.

Field Summary
`static java.lang.String` | `ENDPOINT`

Method Summary
`void` | `setAttachments(java.util.Collection<Attachment> attachments)` Attach a collection of attachments to this writer.
`void` | `setProperty(java.lang.String key, java.lang.Object value)` Set a property for the writer.
`void` | `setSchema(javax.xml.validation.Schema s)` Attach a schema to the writer.
`void` | `write(java.lang.Object obj, MessagePartInfo part, T output)` Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.
`void` | `write(java.lang.Object obj, T output)` Write an object to an output sink.

Field Detail

### ENDPOINT

    static final java.lang.String ENDPOINT

Method Detail

### write

    void write(java.lang.Object obj,
               T output)

  Write an object to an output sink.

  Parameters:
    `obj` - the object to write.
    `output` - the output sink.

### write

    void write(java.lang.Object obj,
               MessagePartInfo part,
               T output)

  Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.

  Parameters:
    `obj` - The object to write.
    `part` - the message part.
    `output` - the output sink.

### setSchema

    void setSchema(javax.xml.validation.Schema s)

  Attach a schema to the writer. If the binding supports validation, it will validate the XML that it produces (assuming that it produces XML).

  Parameters:
    `s` - the schema.

### setAttachments

    void setAttachments(java.util.Collection<Attachment> attachments)

  Attach a collection of attachments to this writer.

  Parameters:
    `attachments` -

### setProperty

    void setProperty(java.lang.String key,
                     java.lang.Object value)

  Set a property for the writer.

  Parameters:
    `key` - property key
    `value` - property value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF